Bug 817776 - Improve resilience & robustness of lvmetad
Improve resilience & robustness of lvmetad
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.4
All Linux
high Severity medium
: pre-dev-freeze
: 6.4
Assigned To: Petr Rockai
Cluster QE
: Tracking
Depends On: 813766 814782 823660 823667 823918
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 04:41 EDT by Alasdair Kergon
Modified: 2012-11-19 10:56 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 10:56:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-05-01 04:41:02 EDT
Consider all failure modes and improve/document handling wherever possible.

Ensure all relevant internal state is easily available in support situations e.g. via lvmdump.
Comment 2 Alasdair Kergon 2012-05-01 10:28:06 EDT
Documentation might include: man page, docs team guide, knowledge base.

Internal state might be dumped via signal and/or client commands.

Review & extend/reduce log messages.

Failure modes incl. daemon dying/freezing, uevents getting lost/internal state inconsistent (incl. e.g. a missed 'remove' event)
Comment 3 Petr Rockai 2012-05-20 08:55:52 EDT
I think that this BZ needs to be broken up into actual tasks. Ideas:
- debug and non-debug logging
- on-demand state dump (for lvmdump &c.)
- documentation of failure modes out of our control (udev bugs)
- user level documentation (but I need to know what is actually missing? we
  have example.conf and a manpage, maybe need to update the LVM guide?)
Comment 4 Alasdair Kergon 2012-05-20 20:34:28 EDT
Yes, new bugs for each of those and set them to 'block' this bug.
Then change the Keyword on this bug from 'FutureFeature' to 'Tracking'.  (The new bugs will themselves be 'FutureFeature'.)
Comment 5 Peter Rajnoha 2012-05-22 09:05:21 EDT
Just an instance of the problem related to resilience/robustness: bug #823918.
Comment 8 Petr Rockai 2012-10-12 05:04:40 EDT
the sub-BZs of this have been all POST'd now, what remains to do is documentation. I'll POST this BZ as soon as that's done. I think we are on track to move lvmetad out of tech preview for 6.4, pending QA results...
Comment 9 Petr Rockai 2012-11-19 10:56:39 EST
Things seem to be going well so far. I have checked in some upstream doc updates. The handbook is in Steve's hands, and I believe he has the info he needs. Therefore, I'm closing this one.

Note You need to log in before you can comment on or make changes to this bug.